import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";

import "PTweety.BigPack";


bigPack = BigPackWindow();


bigPackCommand = Turbine.ShellCommand();

function bigPackCommand:Execute( sender, command, args )
	if ( command == "show" ) then
		bigPack:SetVisible( true );
	elseif ( command == "hide" ) then
		bigPack:SetVisible( false );
	elseif ( command == "toggle" ) then
		bigPack:SetVisible( not bigPack:IsVisible() );
	elseif ( command == "refresh" ) then
		bigPack:Refresh();
	elseif ( command == "mode" ) then
		bigPack:SetMode( not bigPack:GetMode() );
	else
		for s, t in string.gmatch( command, "(%w+)%s(%d[.,]%d+)" ) do
			if ( s == "opacity" ) then
				n = tonumber(t);
				if ( type(n) == 'number' and 0 < n and n <= 1 ) then
					bigPack:SetOpacity(n);
				else
					return L'help';
				end
			end
		end
		for s, t in string.gmatch( command, "(%w+)%s([%w ]+)" ) do
			if ( s == "title" ) then
				if ( type(t) == 'string' ) then
					bigPack:SetTitle(t);
				else
					return L'help';
				end
			end
		end
	end
end

function bigPackCommand:GetHelp()
	return L'help';
end

function bigPackCommand:GetShortHelp()
	return L'shorthelp';
end

Turbine.Shell.AddCommand( "bp;bigpack", bigPackCommand );